sepan {ade4} | R Documentation

## Separated Analyses in a K-tables

### Description

performs K separated multivariate analyses of an object of class `ktab` containing K tables.

### Usage

    sepan(X, nf = 2)
    ## S3 method for class 'sepan'
    plot(x, mfrow = NULL, csub = 2, ...)
    ## S3 method for class 'sepan'
    summary(object, ...)
    ## S3 method for class 'sepan'
    print(x, ...)

### Arguments

`X` | an object of class `ktab`
`nf` | an integer indicating the number of kept axes for each separated analysis
`x, object` | an object of class 'sepan'
`mfrow` | a vector of the form "c(nr,nc)", otherwise computed by a special own function `n2mfrow`
`csub` | a character size for the sub-titles, used with `par("cex")*csub`
`...` | further arguments passed to or from other methods

### Details

The function plot on a `sepan` object allows to compare inertias and structures between arrays. In black, the eigenvalues of kept axes in the object 'sepan'.

### Value

returns a list of class 'sepan' containing :

`call` | a call order
`tab.names` | a vector of characters with the names of tables
`blo` | a numeric vector with the numbers of columns for each table
`rank` | a numeric vector with the rank of the studied matrix for each table
`Eig` | a numeric vector with all the eigenvalues
`Li` | a data frame with the row coordinates
`L1` | a data frame with the row normed scores
`Co` | a data frame with the column coordinates
`C1` | a data frame with the column normed coordinates
`TL` | a data frame with the factors for Li L1
`TC` | a data frame with the factors for Co C1

### Author(s)

Daniel Chessel

### Examples

    data(escopage)
    w <- data.frame(scale(escopage$tab))
    w <- ktab.data.frame(w, escopage$blo, tabnames = escopage$tab.names)
    sep1 <- sepan(w)
    sep1
    summary(sep1)
    plot(sep1)

[Package ade4 version 1.7-13 Index]